Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 7749 - Client will not bind to NIS server if server's hosts.deny has any rule
Summary: Client will not bind to NIS server if server's hosts.deny has any rule
Keywords:
Status: CLOSED NOTABUG
Alias: None
Product: Red Hat Linux
Classification: Retired
Component: ypbind
Version: 6.1
Hardware: i386
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Cristian Gafton
QA Contact:
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 1999-12-11 06:56 UTC by Lan Barnes
Modified: 2008-05-01 15:37 UTC (History)
0 users

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2000-01-27 19:13:18 UTC


Attachments (Terms of Use)

Description Lan Barnes 1999-12-11 06:56:02 UTC
I have a NIS master server (no slaves) with hosts.allow:

ALL:	LOCAL, .mydomainname.com

and hosts.deny:

ALL:	ALL

In this configuration, no clients will bind (reason, permission denied).
However, when I comment out the "ALL: ALL" in the master server's
hosts.deny, everything works.

Others in my LUG have had the same problem, but only after upgrading from
5.2 to 6.0 or higher.

Comment 1 chris 2000-01-18 04:18:59 UTC
THe ypserv that comes with redhat 6.1 (and I presume 6.0 also) is compiled to
use securenets rather than tcp_wrappers (do a /usr/sbin/ypserv --version to
prove this for yourself).

do a `man ypserv` to learn how the /var/yp/securenets file is set up.

If you must use tcp_wrappers, then you'll need to recompile with the appropriate
options.

Comment 2 Cristian Gafton 2000-01-27 19:13:59 UTC
not a real bug, the network configuration needs to be updated.


Note You need to log in before you can comment on or make changes to this bug.